Name:		skipfish
Version:	2.10
Release:	%mkrel 0.beta.2
Summary:	A fully automated, active web application security reconnaissance tool
License:	GPLv2
Group:		Security
URL:		http://code.google.com/p/skipfish/
Source0:	http://%{name}.googlecode.com/files/%{name}-%{version}b.tgz
Source1:	%{name}-starter
Patch0:		skipfish-2.09b-fhs.patch
BuildRequires:	libopenssl-devel
BuildRequires:	libidn-devel
BuildRequires:	zlib-devel
BuildRequires:	pcre-devel

%description 
A fully automated, active web application security reconnaissance tool. Key
features:
 * High speed: pure C code, highly optimized HTTP handling, minimal CPU
   footprint - easily achieving 2000 requests per second with responsive
   targets.
 * Ease of use: heuristics to support a variety of quirky web frameworks and
   mixed-technology sites, with automatic learning capabilities, on-the-fly
   wordlist creation, and form autocompletion.
 * Cutting-edge security logic: high quality, low false positive, differential
   security checks, capable of spotting a range of subtle flaws, including
   blind injection vectors.

%prep
%setup -q -n %{name}-%{version}b
%patch0 -p1

%build
%make

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -d %{buildroot}%{_mandir}/man1
install doc/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -d %{buildroot}/%{_datadir}/%{name}
cp -r assets %{buildroot}/%{_datadir}/%{name}
install -m 644 dictionaries/*.wl %{buildroot}/%{_datadir}/%{name}
ln -s default.wl %{buildroot}/%{_datadir}/%{name}/%{name}.wl

%files 
%doc README ChangeLog doc/*.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 2.10-0.beta.2.mga3
+ Revision: 382121
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 10 2012 guillomovitch <guillomovitch> 2.10-0.beta.1.mga3
+ Revision: 329321
- new version

* Sat Dec 01 2012 fwang <fwang> 2.09-0.beta.2.mga3
+ Revision: 323836
- rebuild for new pcre

* Thu Nov 29 2012 guillomovitch <guillomovitch> 2.09-0.beta.1.mga3
+ Revision: 323114
- new version
- fix doc files perms
- fix summary
- new version

* Tue Jul 19 2011 guillomovitch <guillomovitch> 2.02-0.beta.1.mga2
+ Revision: 126488
- imported package skipfish

